// Main include
#include "..\Sourcefiles\Client.h"

// List of included functions
void singlebody_control_widget_vbox();
void singlebody_control_widget_loggin_username();
void singlebody_control_widget_loggin_password();
void singlebody_control_widget_loggin_label();
void singlebody_control_widget_registration_entry1();
void singlebody_control_widget_registration_entry2();
void singlebody_control_widget_registration_entry3();
void singlebody_control_widget_registration_entry4();
void singlebody_control_widget_registration_entry5();
void singlebody_control_widget_registration_entry6();
void singlebody_control_widget_registration_entry7();
void singlebody_control_widget_registration_entry8();
void singlebody_control_widget_registration_image();
void singlebody_control_widget_registration_separator();
void singlebody_control_widget_registration_label();
void singlebody_control_widget_registration_button();
void singlebody_control_widget_buddylist_create();

// Loggin widgets
GtkWidget *log_vbox;
GtkWidget *log_username;
GtkWidget *log_password;
GtkWidget *log_label;

// Widgets for buddylist
GtkWidget *buddy_toolbar;
GtkWidget *buddy_vbox;
GtkWidget *buddy_treeView;
GtkWidget *buddy_scroll;

// Toolitems for buddylist
GtkToolItem *buddy_events;
GtkToolItem *buddy_disturb;
GtkToolItem *buddy_addremo;
GtkToolItem *buddy_showhide;

// ListWidgets for buddylist
GtkListStore *buddy_tree_view;
GtkTreeSortable  *buddy_sortable_model;
GtkCellRenderer *buddy_renderer;
GtkTreeViewColumn *buddy_column;
GtkTreeSelection *buddy_selection;

// Registration widgets
GtkWidget *reg_entry1; // Name
GtkWidget *reg_entry2; // Surname
GtkWidget *reg_entry3; // Nickname
GtkWidget *reg_entry4; // Location
GtkWidget *reg_entry5; // State
GtkWidget *reg_entry6; // Age
GtkWidget *reg_entry7; // Gender
GtkWidget *reg_entry8; // Password
GtkWidget *reg_separator; // Separator
GtkWidget *reg_button; // Button
GtkWidget *reg_label; // Label
GtkWidget *reg_image; // Gravatar
